#!/bin/bash
echo [bansheeplaylist]

# Get the artist and album of the current track
resultOutput=$(mktemp /tmp/banshee_trackdata_XXXXX)
DISPLAY=:0 dbus-send --print-reply --dest=org.bansheeproject.Banshee /org/bansheeproject/Banshee/PlayerEngine org.bansheeproject.Banshee.PlayerEngine.GetCurrentTrack > $resultOutput
artist=$(sed -n -e "/\"artist\"/,/)/p" $resultOutput | sed -n -e "2p" | cut -d "\"" -f 2)
album=$(sed -n -e "/\"album\"/,/)/p" $resultOutput | sed -n -e "2p" | cut -d "\"" -f 2)
rm $resultOutput

# Retrieve the base path first, so it can be tacked onto the URI's
basePath=$(gconftool --get /apps/banshee-1/library/base_location)
echo $basePath

# Retrieve the album
sqlite3 $HOME/.config/banshee-1/banshee.db <<EOF
.headers on
select tr.tracknumber, tr.title, tr.uri 
	from coretracks tr 
	inner join coreartists ar on ar.artistid = tr.artistid 
	inner join corealbums al on al.albumid = tr.albumid 
	where ar.name = '$artist' and al.title = '$album';
EOF
echo
