#!/bin/bash
echo "[TRACKER]"
mediaFormat=$1
query=$2
if [ "$mediaFormat" == "" ]; then
	echo "Please specify a media format"
	exit
fi
if [ "$query" == "" ]; then
	echo "Please provide a query string"
	exit
fi

# Get the results
resultOutput=$(mktemp /tmp/tracker_result_XXXXX)
tracker-search -s $mediaFormat $query >> $resultOutput

if [ $(wc -l < $resultOutput) -gt 1 ]; then
	sed -e "1d" -e "s/^  /file:\/\//" -e "s/ /%20/g" $resultOutput > ${resultOutput}.EDITED
	mv $resultOutput.EDITED $resultOutput
	while read entry; do
		tracker-info -s $mediaFormat $entry
	done < $resultOutput
fi

rm $resultOutput
